Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.bigdecimal
Class BigDecimalConstraintMatchTotal

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
          org.optaplanner.core.api.score.constraint.bigdecimal.BigDecimalConstraintMatchTotal

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatchTotal>

    public class BigDecimalConstraintMatchTotal

extends ConstraintMatchTotal

See Also:
  Serialized Form

Field Summary
`protected Set<BigDecimalConstraintMatch>` | `constraintMatchSet`
`protected BigDecimal` | `weightTotal`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`constraintName, constraintPackage, scoreLevel`

Constructor Summary
`BigDecimalConstraintMatchTotal(String constraintPackage, String constraintName, int scoreLevel)`

Method Summary
`BigDecimalConstraintMatch` | `addConstraintMatch(List<Object> justificationList, BigDecimal weight)`
`BigDecimalConstraintMatch` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, BigDecimal weight)`
`Set<BigDecimalConstraintMatch>` | `getConstraintMatchSet()`
`BigDecimal` | `getWeightTotal()`
`Number` | `getWeightTotalAsNumber()`
`void` | `removeConstraintMatch(BigDecimalConstraintMatch constraintMatch)`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`compareTo, extractJustificationList, getConstraintId, getConstraintMatchCount, getConstraintName, getConstraintPackage, getIdentificationString, getScoreLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchSet

    protected final Set<BigDecimalConstraintMatch> constraintMatchSet

### weightTotal

    protected BigDecimal weightTotal

Constructor Detail

### BigDecimalConstraintMatchTotal

    public BigDecimalConstraintMatchTotal(String constraintPackage,
                                          String constraintName,
                                          int scoreLevel)

Method Detail

### getConstraintMatchSet

    public Set<BigDecimalConstraintMatch> getConstraintMatchSet()

  Specified by:
    `getConstraintMatchSet` in class `ConstraintMatchTotal`

### getWeightTotal

    public BigDecimal getWeightTotal()

### getWeightTotalAsNumber

    public Number getWeightTotalAsNumber()

  Specified by:
    `getWeightTotalAsNumber` in class `ConstraintMatchTotal`

### addConstraintMatch

    public BigDecimalConstraintMatch addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                                        BigDecimal weight)

### addConstraintMatch

    public BigDecimalConstraintMatch addConstraintMatch(List<Object> justificationList,
                                                        BigDecimal weight)

### removeConstraintMatch

    public void removeConstraintMatch(BigDecimalConstraintMatch constraintMatch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.